Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class NodeExpander

    java.lang.Object
      org.exist.client.xacml.NodeExpander

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

public class NodeExpander
extends java.lang.Object
implements java.awt.event.ActionListener

Constructor Summary
`NodeExpander(javax.swing.JTree tree)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`void` | `hover(XACMLTreeNode contextNode)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeExpander

    public NodeExpander(javax.swing.JTree tree)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### hover

    public void hover(XACMLTreeNode contextNode)

### stop

    public void stop()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.